#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xAC,0xE6,0xEB,0xB4,0x75,0x82,0xD3,0x61,0x75,0x8E,0xAB,0x30,
		0x98,0xD5,0xD3,0xE7,0xCA,0xE5,0xE0,0x45,0xD2,0x26,0x36,0xC7,
		0x76,0xB7,0x02,0x22,0x68,0x06,0x37,0xF5,0xFF,0x7F,0x4D,0xBC,
		0x7E,0x31,0x61,0xBE,0xF9,0x01,0xD4,0x05,0xD8,0xC5,0x3B,0xB3,
		0xED,0x4E,0xDE,0x66,0x99,0xE1,0xDC,0x5E,0xD1,0xC2,0x77,0xA9,
		0xA5,0x52,0xFC,0x93,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
